<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

$conf= $this->conf;

$document	= JFactory::getDocument();
if ($conf->metadata_mode != 'nometadata') {
	$document->setMetaData("description", $this->content->metadata_description);
	$document->setMetaData("keywords", $this->content->metadata_keywords);
}

$conf= $this->conf;
$jlang = JFactory::getLanguage();
$jlang->load("mod_breadcrumbs", JPATH_ROOT, null, true);

?>
<?php if ($conf->display_inner_pathway == 1) { ?>
<div class="breadcrumb">
<?php 
	$pathway ="";
	$nb = count($this->pathlist);
	for ($i = $nb - 1 ; $i >0;$i--)
	{
		$pathway .= ' / <a href="'.$this->pathlist[$i]->link.'">'.$this->pathlist[$i]->text.'</a>';
		$pathway .= ' <span class="divider"><img alt="" src="'.JURI::base().'/media/system/images/arrow.png"></span> ';
	}
	$pathway .= ' / <a href="'.$this->pathlist[0]->link.'">'.$this->pathlist[0]->text.'</a>';
echo JText::_('MOD_BREADCRUMBS_HERE')." ".$pathway;
?>
</div>
<?php } ?>
<?php 
if (function_exists('getContentClass')) 
	$classcontent = getContentClass($this->content,"details");
else
	$classcontent = "";
?>
<?php echo $this->content->event->onContentBeforeDisplay; ?>
<div class="<?php echo $classcontent;?> adsmanager-details juloawrapper">	
        <div class="page-header">
            <div class="row">
                <div class="col-md-8">
                    <h1 class="no-margin-top">	
                        <?php 
                        if (isset($this->fDisplay[1]))
                        {
                            foreach($this->fDisplay[1] as $field)
                            {
                                $c = $this->field->showFieldValue($this->content,$field); 
                                if (($c !== "")&&($c !== null)) {
                                    $title = $this->field->showFieldTitle(@$this->content->catid,$field);
                                    if($field->name != 'ad_headline')
                                        echo "<span class='f".$field->name."'>";
                                    if ($title != "")
                                        echo "<b>".htmlspecialchars($title)."</b>: ";
                                    echo "$c ";
                                    if($field->name != 'ad_headline')
                                        echo "</span>";
                                }
                            }
                        } ?>
                    </h1>
                    <?php echo $this->content->event->onContentAfterTitle; ?>
                </div>
                <div class="col-md-4 text-right">
                    <?php /*<a class="btn btn-danger" href="#"><span class="glyphicon glyphicon-warning-sign" aria-hidden="true"></span> Report an abuse</a> *?/>
                    <?php /*<a class="btn btn-default" href="#"><span class="glyphicon glyphicon-send" aria-hidden="true"></span> Send to a friend</a>*/?>
					<a class="btn btn-default" href='javascript:history.go(-1)'>
					   <i class="glyphicon glyphicon-chevron-left"></i> <?php echo JText::_('ADSMANAGER_BACK_TEXT'); ?>
					</a>
                    <?php if (@$conf->print==1) {?>
                        <?php if (JRequest::getInt('print',0) == 1) {
                            echo TTools::print_screen();
                        } else {
                            $url = JRoute::_("index.php?option=com_adsmanager&view=details&catid=".$this->content->catid."&id=".$this->content->id."&tmpl=component&print=1");
                            ?>
                            <a class="btn btn-primary" rel="nofollow" onclick="window.open(this.href,'win2','status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no'); return false;" title="Print"
                               href="<?php echo $url; ?>">
                              <span class="glyphicon glyphicon-print" aria-hidden="true"></span> <?php echo JText::_('ADSMANAGER_DETAILS_PRINT') ?></a>
                        <?php } ?>
                    <?php } ?>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-md-12 adsUserTools">
            <?php
                echo '<div class="text-right">';
                if ($this->content->userid != 0 && $this->userid == $this->content->userid)	{
                ?>
                <div>
                <?php
                    $target = TRoute::_("index.php?option=com_adsmanager&task=write&catid=".$this->content->category."&id=".$this->content->id);
                    echo "<a class='btn btn-warning' href='".$target."'><span class='glyphicon glyphicon-edit' aria-hidden='true'></span>".JText::_('ADSMANAGER_CONTENT_EDIT')."</a>";
                    echo "&nbsp;";
                    $target = TRoute::_("index.php?option=com_adsmanager&task=delete&catid=".$this->content->category."&id=".$this->content->id);
                    echo "<a class='btn btn-danger' href='".$target."'><span class='glyphicon glyphicon-remove' aria-hidden='true'></span>".JText::_('ADSMANAGER_CONTENT_DELETE')."</a>";
                ?>
                </div>
                <?php
                }
                echo '</div>';
            ?>
        </div>
    </div>
	<div class="row">
		<div class="col-md-8">
			<?php
				if (count($this->content->images) == 0)
					$image_found = 0;
				else
					$image_found = 1;
				if ($image_found == 0) {
				?>
					<div class="row detailDesc rowDesc">
						<div class="col-md-12">
							 <?php if (!empty($this->fDisplay[3])) {
								$strtitle = @JText::_($this->positions[2]->title);
								if ($strtitle != "") echo "<h2 class='section-header'>".@$strtitle."</h2>"; 
								foreach($this->fDisplay[3] as $field) {
									$c = $this->field->showFieldValue($this->content,$field); 
									if (($c !== "")&&($c !== null)) {
										$title = $this->field->showFieldTitle(@$this->content->catid,$field);
										echo "<span class='f".$field->name."'>";
				                        if ($title != "")
											echo "<b>".htmlspecialchars($title)."</b>: ";
										echo "$c<br/>";
				                        echo "</span>";
									}
								}
							}?>
						</div>
					</div>
				<?php } else { ?>
				<?php 
					switch($this->conf->image_display)
					{
						default:
							$thumbnailcarousel = "";?>
							<div id="adgallery">
							<a class="btn btn-primary" id="fullscreen"><span class="glyphicon glyphicon-fullscreen"></span></a>
							<div id="slider" class="flexslider">
	  							<ul class="slides">
							<?php 
							break;
					}
					$cpt = 1;
					foreach($this->content->images as $img)
					{
						$imagePath = JURI_IMAGES_FOLDER."/".$img->image;
						$thumbnail = JURI_IMAGES_FOLDER."/".$img->thumbnail."?".filemtime(JPATH_IMAGES_FOLDER."/".$img->thumbnail);
						$image = JURI_IMAGES_FOLDER."/".$img->image."?".filemtime(JPATH_IMAGES_FOLDER."/".$img->image);
						switch($this->conf->image_display)
					    {
					    	default:
					    		?>
					    		<li>
									<?php 
										if (isset($this->conf->display_rotate_image) && $this->conf->display_rotate_image == 1 && ($this->content->userid != 0 && $this->userid == $this->content->userid)) {
											echo "<a class='rotateimage-gallery' data-image='".$cpt."' data-src='".$img->image."' data-path='".$imagePath."' href ='#'>".JText::_("ADSMANAGER_ROTATE_IMAGE")."</a><br/>";
										}
									?>
									<span class="alignver"></span>
					    			<img class="content-image-<?php echo $cpt; ?>" u="image" src="<?php echo $image?>" />
					    		</li>
					    		<?php 
								$thumbnailcarousel .= '<li><img u="thumb" src="'.$thumbnail.'" /></li>';
					    		break;
						}
						$cpt++;
					}
					echo "
					<script type='text/javascript'>
						jQuery(document).ready(function() {
							jQuery('.rotateimage-gallery').click(function() {
								let src = jQuery(this).attr('data-src');
								let path = jQuery(this).attr('data-path');
										let imageNumber = jQuery(this).attr('data-image');
								jQuery.get('".JRoute::_('index.php?option=com_adsmanager&task=rotate&id='.$this->content->id, false)."', {src: src, path: path}, function(data) {
									jQuery('.content-image-'+imageNumber).attr('src',data);
								});
								return false;
							});
						});
					</script>";
					switch($this->conf->image_display)
					{
						default:
							?>
							</div>
							<?php 
							if (count($this->content->images) > 1) { 
							?>
							
							
							<div id="carousel" class="flexslider">
	 						 <ul class="slides">
							<?php echo $thumbnailcarousel ?>
							</div>
							<?php
							}
							?>
							</div>
							<?php 
						break;
					}
				}
			?>
        </div>
        <div class="col-md-4">
            <div class="row">
                <div class="col-md-8">
                    <div class="row">
                        <div class="col-md-12 detailId">
                            <span><?php echo TText::_('ADSMANAGER_AD')?> <strong>#<?php echo $this->content->id ?></strong></span>
                        </div>
                        <div class="col-md-12">
                            <div class="detailExtra">
                                <div class="row">
                                    <div class="col-md-12">
                                        <em class="ad_publishedDate"><?php echo sprintf(TText::_('ADSMANAGER_PUBLISH_ON_DATE'),$this->reorderDate($this->content->date_created));?></em>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                <?php if(isset($this->conf->favorite_enabled) && $this->conf->favorite_enabled == 1 && ($this->conf->favorite_display == 'all' || $this->conf->favorite_display == 'details')){
                        $favoriteClass = '';
                        $favoriteLabel = JText::_('ADSMANAGER_CONTENT_FAVORITE');
                        if(array_search($this->content->id, $this->favorites) !== false){
                            $favoriteClass = ' like_active';
                            $favoriteLabel = JText::_('ADSMANAGER_CONTENT_FAVORITE_DELETEMSG');
                        }
                        echo '<a href="javascript:void(0)" class="favorite_ads btn btn-primary pull-right like_ad'.$favoriteClass.'" id="like_'.$this->content->id.'"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> '.$favoriteLabel.'</a>';
                    } ?>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <?php
                        if ($this->content->userid != 0)
                        {   
                            echo "<div class='row'>";
                            echo "<div class='col-md-12'>";
                            echo "<div class='seeAllAds'>";
                            echo JText::_('ADSMANAGER_SHOW_OTHERS'); 
                            $target = TLink::getUserAdsLink($this->content->userid);

                            if ($conf->display_fullname == 1){
                                echo "<a href='$target'><b>".$this->content->fullname."</b></a>";
                            }else{
                                echo "<a href='$target'><b>".$this->content->user."</b></a>";
                            }
                            echo "</div>";
                            echo "</div>";
                            echo "</div>";
                        }
                    ?>
                </div>
            </div>
            <?php 
            if (!empty($this->fDisplay[5])) {
			?>
			<div class="detailsContact">
                <div class="row">
            <?php    
				$strtitle = @JText::_($this->positions[4]->title);
				if ($strtitle != "") echo '<div class="col-md-12 contTitle"><h2>'.htmlspecialchars($strtitle)."</h2></div>"; 
				?>
				<div class="col-md-12">
				<?php 
				if ($this->showContact) {		
					if (isset($this->fDisplay[5]))
					{		
						foreach($this->fDisplay[5] as $field)
						{	
							if ($field->name == "email") {
							?>
								<div class="row">
				                    <div class="col-md-12">
										<?php $link = TRoute::_("index.php?option=com_adsmanager&view=message&contentid=".$this->content->id."&catid=".$this->content->catid."&fname=".$field->name); ?>
				                        <a href="<?php echo $link;?>" class="contactLink"><span class='glyphicon glyphicon-envelope' aria-hidden='true'></span> <?php echo JTEXT::_('ADSMANAGER_EMAIL_FORM')?></a>
				                    </div>
				                </div>
				            <?php
				            } else {
								$c = $this->field->showFieldValue($this->content,$field); 
								if(($c !== "")&&($c !== null)) {
									$title = $this->field->showFieldTitle(@$this->content->catid,$field);
									echo "<span class='f".$field->name."'>";
	                                if ($title != "") {
										echo "<b>".htmlspecialchars($title)."</b>: ";
									}
									echo "$c";
	                                echo "</span><br/>";
								}
							}
						} 
					}
					if (($this->content->userid != 0)&&($conf->allow_contact_by_pms == 1))
					{
						?>
						<div class="row">
						<div class="col-md-12">
						<?php echo TLink::getPMSLink($this->content,"<span class='glyphicon glyphicon-envelope' aria-hidden='true'></span>".JText::_('CONTACT_BY_PM'),"contactLink"); ?>
						</div>
						</div>
						
						<?php
					}
				}
				else
				{
					echo JText::_('ADSMANAGER_CONTACT_NO_RIGHT');
				}
				?>
				</div></div></div><?php
			}
			?>
            
            <?php 
	            if (!empty($this->fDisplay[2])) {?>
	             <div class="row adsDetailListTableR detailsProp">
	                <?php 
	            	$strtitle = @JText::_($this->positions[1]->title);
	            	if ($strtitle != "") echo '<div class="col-md-12 contTitle"><h2>'.@$strtitle."</h2></div>";
	            	?>
	            	<div class="col-md-12 nbCols1"><ul>
	            	<?php 
	            	foreach($this->fDisplay[2] as $field) {
	            		$c = $this->field->showFieldValue($this->content,$field);
	            		if (($c !== "")&&($c !== null)) {
	            			$title = $this->field->showFieldTitle(@$this->content->catid,$field);
	            			echo "<li class='".$field->name."'>";
                            if ($title) {
                                echo "<div class='labelListTable'>".htmlspecialchars($title).":</div>";
                            }
	            			echo '<div class="valueListTable">'.$c.'</div>';
	            			echo "</li>";
	            		}
	            	}
	            	?>
	            	</ul></div>
	            	<?php 
	           	?>
	           	</div>
	            <?php
	            }
            ?>
            
            <?php 
            if (!empty($this->fDisplay[4])) {?>
            <div class="row">
                <div class="col-md-12">
                <div class="adsDetailPrice">
            	<?php 
                $cptRow = 0;
            	foreach($this->fDisplay[4] as $field) {
            		$c = $this->field->showFieldValue($this->content,$field);
            		if (($c !== "")&&($c !== null)) {
                        if($cptRow > 0) {
                            echo '<br/>';
                        }
            			$title = $this->field->showFieldTitle(@$this->content->catid,$field);
            			echo "<span class='f".$field->name."'>";
            			if ($title != "")
            				echo "<strong>".htmlspecialchars($title).":</strong> ";
            			echo $c;
            			echo "</span>";
                        $cptRow++;
            		}
            	}
            	?>
            	</div>	
           		</div>
           	</div>
            <?php
            }
            ?>
        </div>
	</div>
	<?php  if ($image_found == 1) {?>
	<div class="row detailDesc rowDesc">
		<div class="col-md-12">
			 <?php if (!empty($this->fDisplay[3])) {
				$strtitle = @JText::_($this->positions[2]->title);
				if ($strtitle != "") echo "<h2 class='section-header'>".@$strtitle."</h2>"; 
				foreach($this->fDisplay[3] as $field) {
					$c = $this->field->showFieldValue($this->content,$field); 
					if (($c !== "")&&($c !== null)) {
						$title = $this->field->showFieldTitle(@$this->content->catid,$field);
						echo "<span class='f".$field->name."'>";
                        if ($title != "")
							echo "<b>".htmlspecialchars($title)."</b>: ";
						echo "$c<br/>";
                        echo "</span>";
					}
				}
			}?>
		</div>
	</div>
	<?php } ?>
	
	<?php 
    	if (!empty($this->fDisplay[6])) {?>
             <div class="row locDesc rowDesc">
                <?php 
            	$strtitle = @JText::_($this->positions[5]->title);
            	if ($strtitle != "") echo '<div class="col-md-12"><h2 class="section-header">'.@$strtitle."</h2></div>";
            	?>
            	<div class="col-md-12">
            	<?php 
            	foreach($this->fDisplay[6] as $field) {
            		$c = $this->field->showFieldValue($this->content,$field);
            		if (($c !== "")&&($c !== null)) {
            			$title = $this->field->showFieldTitle(@$this->content->catid,$field);
            			echo "<div class='".$field->name."'>";
            			if ($title != "")
            				echo "<span class='fieldlabel'>".htmlspecialchars($title).":</span>";
            			echo $c;
            			echo "</div>";
            		}
            	}
            	?>
            	</div>
            	<?php 
           	?>
           	</div>
            <?php
       }
    ?>

    
    <?php /*
    <div class="row adsDetailList rowDesc">
        <div class="col-md-12 contTitle">
            <h2>Valeurs</h2>
        </div>
        <div class="col-md-12 nbCols5">
            <ul>
                <li>Randonnées</li>
                <li>Escalade</li>
                <li>Voile</li>
                <li>Kayak</li>
                <li>Pêche</li>
                <li>Tous commerces</li>
                <li>Restaurants</li>
                <li>Pistes cyclables</li>
                <li>Parc de loisirs</li>
                <li>Plage</li>
                <li>Plongée</li>
            </ul>
        </div>
    </div>
    */?>
</div>
<?php echo $this->content->event->onContentAfterDisplay; ?>
<?php
JHtml::_('jquery.framework');
$document = JFactory::getDocument();
$document->addScript(JURI::root().'components/com_adsmanager/js/flexslider/jquery.flexslider-min.js');
//FOFTemplateUtils::addJS('../templates/adsclarity/js/jquery.flexslider.js');	
FOFTemplateUtils::addCSS('../templates/adsclarity/css/flexslider.css');	
?>
<script type="text/JavaScript">
jQ(function() {
    jQ('.favorite_ads').click(function() {
        var favoriteId = this.getAttribute( "id" );
        favoriteId = favoriteId.split('like_');
        var adId = favoriteId[1];
        var id = '#like_'+adId;

        if(jQ(id).hasClass("like_active")) {
            jQ.ajax({ url: <?php echo json_encode(JRoute::_('index.php?option=com_adsmanager&task=deletefavorite&mode=1'))?>,
                data: {adId: adId},
                type: 'post',
                success: function(result) {
                    if(result == 1){
                        jQ(id).removeClass("like_active");
                        jQ(id).html('<span class="glyphicon glyphicon-heart" aria-hidden="true"></span> <?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE')); ?>');
                        //alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_DELETE')); ?>');
                    } else if(result == 2) {
                        <?php if(COMMUNITY_BUILDER): ?>
                        window.location.replace(<?php echo json_encode(JRoute::_('index.php?option=com_comprofiler&task=login'))?>);
                        <?php else: ?>
                        window.location.replace(<?php echo json_encode(JRoute::_('index.php?option=com_users&view=login'))?>);
                        <?php endif; ?>
                    } else if(result == 3) {
                        alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_NO_AD_SELECTED')); ?>');
                    }
                }
            });
        } else {
            jQ.ajax({ url: <?php echo json_encode(JRoute::_('index.php?option=com_adsmanager&task=favorite'))?>,
                data: {adId: adId},
                type: 'post',
                success: function(result) {
                    if(result == 1){
                        jQ(id).addClass("like_active");
                        jQ(id).html('<span class="glyphicon glyphicon-heart" aria-hidden="true"></span> <?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_DELETEMSG')); ?>');
                       // alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_SUCCESS')); ?>');
                    } else if(result == 2) {
                        <?php if(COMMUNITY_BUILDER): ?>
                        window.location.replace(<?php echo json_encode(JRoute::_('index.php?option=com_comprofiler&task=login'))?>);
                        <?php else: ?>
                        window.location.replace(<?php echo json_encode(JRoute::_('index.php?option=com_users&view=login'))?>);
                        <?php endif; ?>
                    } else if(result == 3) {
                        alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_NO_AD_SELECTED')); ?>');
                    } else {
                        alert('<?php echo addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_ALREADY_EXIST')); ?>');
                    }
                }
            });
        }
        return false;       
    });
	
   <?php 
    $maxitems = count($this->content->images);
	if ($maxitems > 4) { 
		$maxitems = 4;
	}
	?>

	// The slider being synced must be initialized first
  <?php if ($maxitems > 1) { ?>
  jQ('#carousel').flexslider({
	animation: "slide",
	controlNav: false,
	animationLoop: false,
	slideshow: false,
	itemWidth: 150,
	itemMargin: 5,
	minItems: 0,
	maxItems: <?php echo $maxitems;?>,
	asNavFor: '#slider'
  });
  
  jQ('#adgallery #carousel').css('width',"<?php echo (150*$maxitems)?>px");
<?php } ?>
 
  jQ('#slider').flexslider({
	animation: "slide",
	controlNav: false,
	animationLoop: false,
	slideshow: false
	<?php if ($maxitems > 1) { ?>
	,sync: "#carousel"
	<?php } ?>
  });
	jQ('#fullscreen,#slider img').click(function() {
		if (jQuery('#adgallery').hasClass("fullscreen")) {
				jQuery('#adgallery').removeClass('fullscreen');
				jQuery('body').removeClass('fullbg');
				var slider1 = jQ('#slider').data('flexslider');
                slider1.resize();
		} else {
			
			jQuery('#adgallery').addClass('fullscreen');	
			jQuery('body').addClass('fullbg');	
			var slider1 = jQ('#slider').data('flexslider');
            slider1.resize();
		}
	});
});			


</script>
