<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<div class="juloawrapper">
    <?php if ($this->conf->display_last == 1) { ?>
   	<div class="row">
        <div class="col-md-12 lastAds">
            <div class="row">
                <div class="col-md-12">
                	<h3><?php echo JText::_('ADSMANAGER_LAST_ADS');?></h3>
                </div>
            </div>
            <div class="row adsListGridRow">
            	<?php
				$width = (int) 12 / $this->conf->nb_last_cols; 
				foreach($this->contents as $row) {
				$linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=".$row->id."&catid=".$row->catid);
				if (isset($row->images[0])) {
					$img = JURI::base()."images/com_adsmanager/contents/".$row->images[0]->thumbnail;
   				} else {
					$img = ADSMANAGER_NOPIC_IMG;
				}
				?>
                <!-- AD BLOCK -->
                <div class="col-md-<?php echo $width ?>">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row adsListGridImage">
                                <div class="col-md-12">
                                    <a href="<?php echo $linkTarget ?>">
                                    	<img src="<?php echo $img ?>" alt="<?php echo htmlspecialchars($row->ad_headline) ?>" class="img-responsive" />
                                    </a>
                                     <?php if (isset($row->ad_price)) {?>    
                                        <div class="col-md-4 adsListGridPrice">                                     
                                        <?php echo $this->field->showFieldValue($row,$this->fields['ad_price']);  ?>
                                        </div>
                                        <?php } ?>
                                </div>
                            </div>
                            <div class="col-md-12 adsListGridCat">
                                <?php echo htmlspecialchars($row->parent)." / ".htmlspecialchars($row->cat)?><br/>
                                <?php echo $this->reorderDate($row->date_created) ?>
                            </div>
                            <div class="adsListGridContent">
                                <div class="row">
                                    <div class="col-md-12 adsListGridTitle">
                                        <h4><a href="<?php echo $linkTarget ?>"><?php echo htmlspecialchars($row->ad_headline)?></a></h4>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 adsListGridDesc">
                                        <p><?php 
                                        $row->ad_text = str_replace ('<br />'," ",$row->ad_text);
                                        $row->ad_text = strip_tags($row->ad_text);
                                                    $af_text = JString::substr($row->ad_text, 0, 100);
                                                    if (strlen($row->ad_text)>100) {
                                                        $af_text .= "[...]";
                                                    }
                                                    echo htmlspecialchars($af_text);
                                        ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <?php } ?>
    <div class="row">
        <div class="col-md-12">
            <div>
                <h3><?php echo JText::_('ADSMANAGER_FRONT_TITLE'); ?></h3>
                <?php if ($this->conf->fronttext != "") { ?>
                <div class="row">
                    <div class="col-md-12">
                        <?php echo TText::_($this->conf->fronttext); ?>
                    </div>
                </div>
                <?php } ?>
                <?php $this->general->showGeneralLink() ?>
                <div id="adshome">
                    <?php 
                    $nbcatsperrow = $this->conf->display_nb_categories_per_row;
                    $classtype = (int) (12 / $nbcatsperrow);

                    $num = 1;
                    $divopen = false;

                    foreach ($this->cats as $row) {
                    	if(isset($this->conf->category_level_homepage) && $this->conf->category_level_homepage >= 0) {
                            if ($row->level > (int)$this->conf->category_level_homepage) {
                                continue;
                            }
                        } else {
                            if ($row->level > 1) {
                                continue;
                            }
                        }


                        if ($row->level == 0) {
                            if ($divopen == true) {
                                $divopen = false;
                                ?>
                                            </h4>
                                        </div>
                                    </div>
                                    </div>
                                    </div>                                  
                                <?php }
                            if ($num == $nbcatsperrow+1) {
                                $num = 1;
                                echo '</div>';
                            }
                            if ($num==1) {
                                echo '<div class="row catRow">';
                            }
                            $num++;
                        }

                        if(isset($this->conf->display_nb_ads_per_categories) && $this->conf->display_nb_ads_per_categories)
                            $numAds = " (".$row->num_ads.")";
                        else
                            $numAds = '';

                        $link = TRoute::_("index.php?option=com_adsmanager&view=list&catid=".$row->id);


                        if ($row->level == 0) {
                            $imgsrc = TTools::getCatImageUrl($row->id);
                                ?>
                            <div class="col-md-<?php echo $classtype ?>">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="catBox">
                                        <h3 class="no-margin-top">
                                            <a href="<?php echo $link; ?>"  ><img class="imgcat" src="<?php echo $imgsrc; ?>" alt="<?php echo htmlspecialchars($row->name); ?>" />&nbsp;<?php echo htmlspecialchars($row->name).$numAds; ?></a></h3>
                                            
                                        <h4>
                            <?php	
                            $divopen = true;
                            $firstsubcat = true;
                        } else {
                            if ($firstsubcat == false)
                                echo ' - ';
                            echo '<a href="'.$link.'">'.htmlspecialchars($row->name).$numAds.'</a>';
                            $firstsubcat = false;
                        }
                    }
                    if ($divopen == true) {
                        ?>
                            </h4>
                            </div>
                        </div>
                    </div>
                    </div>
                    <?php 
                    }
                    echo "</div><!-- catRow -->";
                    ?>
                </div>
               </div>
             </div>
          </div>
                <?php if ($this->conf->display_last == 2)
                {
                    ?>
   <div class="row">
        <div class="col-md-12 lastAds">
            <div class="row">
                <div class="col-md-12">
                	<h3><?php echo JText::_('ADSMANAGER_LAST_ADS');?></h3>
                </div>
            </div>
            <div class="row adsListGridRow">
            	<?php
				$width = (int) 12 / $this->conf->nb_last_cols; 
				foreach($this->contents as $row) {
				$linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=".$row->id."&catid=".$row->catid);
				if (isset($row->images[0])) {
					$img = JURI::base()."/images/com_adsmanager/contents/".$row->images[0]->thumbnail;
   				} else {
					$img = ADSMANAGER_NOPIC_IMG;
				}
				?>
                <!-- AD BLOCK -->
                <div class="col-md-<?php echo $width ?>">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row adsListGridImage">
                                <div class="col-md-12">
                                    <a href="<?php echo $linkTarget ?>">
                                    	<img src="<?php echo $img ?>" alt="<?php echo htmlspecialchars($row->ad_headline) ?>" class="img-responsive" />
                                    </a>
                                    <?php if (isset($row->ad_price)) {?>    
                                        <div class="col-md-4 adsListGridPrice">                                     
                                        <?php echo $this->field->showFieldValue($row,$this->fields['ad_price']);  ?>
                                        </div>
                                        <?php } ?>
                                </div>
                            </div>
                            <div class="col-md-12 adsListGridCat">
                                <?php echo htmlspecialchars($row->parent)." / ".htmlspecialchars($row->cat)?><br/>
                                <?php echo $this->reorderDate($row->date_created) ?>
                            </div>
                            <div class="adsListGridContent">
                                <div class="row">
                                    <div class="col-md-12 adsListGridTitle">
                                        <h4><a href="<?php echo $linkTarget ?>"><?php echo htmlspecialchars($row->ad_headline)?></a></h4>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 adsListGridDesc">
                                        <p><?php 
                                        $row->ad_text = str_replace ('<br />'," ",$row->ad_text);
                                                    $af_text = JString::substr($row->ad_text, 0, 100);
                                                    if (strlen($row->ad_text)>100) {
                                                        $af_text .= "[...]";
                                                    }
                                                    echo htmlspecialchars($af_text);
                                        ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
    </div>
				<?php 
                } 
                $this->general->endTemplate();
                ?>
</div>