<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

$conf= $this->conf;

$classcontent = "";
$this->loadScriptImage($this->conf->image_display);
?>   
<?php echo $this->content->event->onContentBeforeDisplay; ?>
<div class="<?php echo $classcontent;?> adsmanager-details row juloawrapper">	
    <div class="col-md-12 page-header">
        <div class="row">
            <div class="col-md-8">
                <h1 class="no-margin-top">	
                    <?php 
                    if (isset($this->fDisplay[1]))
                    {
                        foreach($this->fDisplay[1] as $field)
                        {
                            $c = $this->field->showFieldValue($this->content,$field); 
                            if (($c !== "")&&($c !== null)) {
                                $title = $this->field->showFieldTitle(@$this->content->catid,$field);
                                if($field->name != 'ad_headline')
                                    echo "<span class='f".$field->name."'>";
                                if ($title != "")
                                    echo "<b>".htmlspecialchars($title)."</b>: ";
                                echo "$c ";
                                if($field->name != 'ad_headline')
                                    echo "</span>";
                            }
                        }
                    } ?>
                </h1>
                <?php echo $this->content->event->onContentAfterTitle; ?>
            </div>
            <div class="col-md-4 text-right">
				<a class="btn btn-primary" rel="nofollow" return false;" title="Print" href="#">
						  <span class="glyphicon glyphicon-print" aria-hidden="true"></span> <?php echo JText::_('ADSMANAGER_FORM_PRINT_TEXT'); ?>
				</a>		
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 adsUserTools">
        </div>
    </div>
	<div class="row">
		<div class="col-md-8">
			<?php
				if (count($this->content->images) == 0)
					$image_found = 0;
				else
					$image_found = 1;
				switch($this->conf->image_display)
				{
					case 'jssor':
						$thumbnailcarousel = "";?>
						<div id="adgallery">
						<a class="btn btn-primary" id="fullscreen"><span class="glyphicon glyphicon-fullscreen"></span></a>
						<div id="slider" class="flexslider">
  							<ul class="slides">
						<?php 
						break;
					default:
						?>
						<div class="adsmanager_ads_image">
						<?php 
				}
				foreach($this->content->images as $img)
				{
					if (isset($img->tmp) && ($img->tmp == 1)) {
                        $thumbnail = JURI_IMAGES_FOLDER."/waiting/".$img->thumbnail;
                        $image = JURI_IMAGES_FOLDER."/waiting/".$img->image;
                    } else {
                        $thumbnail = JURI_IMAGES_FOLDER."/".$img->thumbnail;
                        $image = JURI_IMAGES_FOLDER."/".$img->image;
                    }
					switch($this->conf->image_display)
				    {
				    	case 'jssor':
				    		?>
				    		<li>
								<span class="alignver"></span>
				    			<img u="image" src="<?php echo $image?>" />
				    		</li>
				    		<?php 
							$thumbnailcarousel .= '<li><img u="thumb" src="'.$thumbnail.'" /></li>';
				    		break;
						case 'popup':
							echo "<a href=\"javascript:popup('$image');\"><img src='".$thumbnail."' alt=\"".htmlspecialchars($this->content->ad_headline)."\" /></a>";
							break;
						case 'lightbox':
						case 'lytebox':
							echo "<a href='".$image."' rel='lytebox[roadtrip".$this->content->id."]'><img src='".$thumbnail."' alt=\"".htmlspecialchars($this->content->ad_headline)."\" /></a>"; 
							break;
						case 'highslide':
							echo "<a id='thumb".$this->content->id."' class='highslide' onclick='return hs.expand (this)' href='".$image."'><img src='".$thumbnail."' alt=\"".htmlspecialchars($this->content->ad_headline)."\" /></a>";
							break;
						case 'default':	
						default:
							echo "<a href='".$image."' target='_blank'><img src='".$thumbnail."' alt=\"".htmlspecialchars($this->content->ad_headline)."\" /></a>";
							break;
					}
				}
				switch($this->conf->image_display)
				{
					case 'jssor':
						?>
						</div>
						<?php 
						if (count($this->content->images) > 1) { 
						?>
						
						
						<div id="carousel" class="flexslider">
 						 <ul class="slides">
						<?php echo $thumbnailcarousel ?>
						</div>
						<?php
						}
						?>
						</div>
						<?php 
					break;
					default:
						if (($image_found == 0)&&($conf->nb_images >  0))
						{
							echo '<img src="'.ADSMANAGER_NOPIC_IMG.'" alt="nopic" />'; 
						}?>
						</div>
					<?php 
				}
			?>
        </div>
        <div class="col-md-4">
            <div class="row">
                <div class="col-md-8">
                    <div class="row">
                        <div class="col-md-12 detailId">
                            <span><?php echo TText::_('ADSMANAGER_AD')?> <strong>#<?php echo $this->content->id ?></strong></span>
                        </div>
                        <div class="col-md-12">
                            <div class="detailExtra">
                                <div class="row">
                                    <div class="col-md-12">
                                        <em class="ad_publishedDate"><?php echo sprintf(TText::_('ADSMANAGER_PUBLISH_ON_DATE'),'0000-00-00');?></em>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                <?php if(isset($this->conf->favorite_enabled) && $this->conf->favorite_enabled == 1 && ($this->conf->favorite_display == 'all' || $this->conf->favorite_display == 'details')){
                        $favoriteClass = '';
                        $favoriteLabel = JText::_('ADSMANAGER_CONTENT_FAVORITE');
                        echo '<a href="#" class="btn btn-primary pull-right like_ad'.$favoriteClass.'" id="like_'.$this->content->id.'"><span class="glyphicon glyphicon-heart" aria-hidden="true"></span> '.$favoriteLabel.'</a>';
                    } ?>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <?php
                        if ($this->content->userid != 0)
                        {   
                            echo "<div class='row'>";
                            echo "<div class='col-md-12'>";
                            echo "<div class='seeAllAds'>";
                            echo JText::_('ADSMANAGER_SHOW_OTHERS'); 
                            $target = TLink::getUserAdsLink($this->content->userid);

                            if ($conf->display_fullname == 1){
                                echo "<a href='$target'><b>".$this->content->fullname."</b></a>";
                            }else{
                                echo "<a href='$target'><b>".$this->content->user."</b></a>";
                            }
                            echo "</div>";
                            echo "</div>";
                            echo "</div>";
                        }
                    ?>
                </div>
            </div>
            <?php 
            if (!empty($this->fDisplay[5])) {
			?>
			<div class="detailsContact">
                <div class="row">
            <?php    
				$strtitle = @JText::_($this->positions[4]->title);
				if ($strtitle != "") echo '<div class="col-md-12 contTitle"><h2>'.htmlspecialchars($strtitle)."</h2></div>"; 
				?>
				<div class="col-md-12">
				<?php 
				if ($this->showContact) {		
					if (isset($this->fDisplay[5]))
					{		
						foreach($this->fDisplay[5] as $field)
						{	
							if ($field->name == "email") {
							?>
								<div class="row">
				                    <div class="col-md-12">
				                        <a href="#" class="contactLink"><span class='glyphicon glyphicon-envelope' aria-hidden='true'></span> <?php echo JTEXT::_('ADSMANAGER_EMAIL_FORM')?></a>
				                    </div>
				                </div>
				            <?php
				            } else {
								$c = $this->field->showFieldValue($this->content,$field); 
								if(($c !== "")&&($c !== null)) {
									$title = $this->field->showFieldTitle(@$this->content->catid,$field);
									echo "<span class='f".$field->name."'>";
	                                if ($title != "") {
										echo "<b>".htmlspecialchars($title)."</b>: ";
									}
									echo "$c";
	                                echo "</span><br/>";
								}
							}
						} 
					}
					if (($this->content->userid != 0)&&($conf->allow_contact_by_pms == 1))
					{
						?>
						<div class="row">
						<div class="col-md-12">
						<?php echo TLink::getPMSLink($this->content,"<span class='glyphicon glyphicon-envelope' aria-hidden='true'></span>".JText::_('CONTACT_BY_PM'),"contactLink"); ?>
						</div>
						</div>
						
						<?php
					}
				}
				else
				{
					echo JText::_('ADSMANAGER_CONTACT_NO_RIGHT');
				}
				?>
				</div></div></div><?php
			}
			?>
            
            <?php 
            if (!empty($this->fDisplay[2])) {?>
             <div class="row adsDetailListTableR detailsProp">
                <?php 
            	$strtitle = @JText::_($this->positions[1]->title);
            	if ($strtitle != "") echo '<div class="col-md-12 contTitle"><h2>'.@$strtitle."</h2></div>";
            	?>
            	<div class="col-md-12 nbCols1"><ul>
            	<?php 
            	foreach($this->fDisplay[2] as $field) {
            		$c = $this->field->showFieldValue($this->content,$field);
            		if (($c !== "")&&($c !== null)) {
            			$title = $this->field->showFieldTitle(@$this->content->catid,$field);
            			echo "<li class='".$field->name."'>";
            			echo "<div class='labelListTable'>".htmlspecialchars($title).":</div>";
            			echo '<div class="valueListTable">'.$c.'</div>';
            			echo "</li>";
            		}
            	}
            	?>
            	</ul></div>
            	<?php 
           	?>
           	</div>
            <?php
            }
            ?>
            
            <?php 
            if (!empty($this->fDisplay[4])) {?>
            <div class="row">
                <div class="col-md-12">
                <div class="adsDetailPrice">
            	<?php 
            	foreach($this->fDisplay[4] as $field) {
            		$c = $this->field->showFieldValue($this->content,$field);
            		if (($c !== "")&&($c !== null)) {
            			$title = $this->field->showFieldTitle(@$this->content->catid,$field);
            			echo "<span class='f".$field->name."'>";
            			if ($title != "")
            				echo "<strong>".htmlspecialchars($title).":</strong>";
            			echo $c;
            			echo "</span>";
            		}
            	}
            	?>
            	</div>	
           		</div>
           	</div>
            <?php
            }
            ?>
        </div>
	</div>
	<div class="row detailDesc rowDesc">
		<div class="col-md-12">
			 <?php if (!empty($this->fDisplay[3])) {
				$strtitle = @JText::_($this->positions[2]->title);
				if ($strtitle != "") echo "<h2 class='section-header'>".@$strtitle."</h2>"; 
				foreach($this->fDisplay[3] as $field) {
					$c = $this->field->showFieldValue($this->content,$field); 
					if (($c !== "")&&($c !== null)) {
						$title = $this->field->showFieldTitle(@$this->content->catid,$field);
						echo "<span class='f".$field->name."'>";
                        if ($title != "")
							echo "<b>".htmlspecialchars($title)."</b>: ";
						echo "$c<br/>";
                        echo "</span>";
					}
				}
			}?>
		</div>
	</div>
	
	<?php 
    	if (!empty($this->fDisplay[6])) {?>
             <div class="row locDesc rowDesc">
                <?php 
            	$strtitle = @JText::_($this->positions[5]->title);
            	if ($strtitle != "") echo '<div class="col-md-12"><h2 class="section-header">'.@$strtitle."</h2></div>";
            	?>
            	<div class="col-md-12">
            	<?php 
            	foreach($this->fDisplay[6] as $field) {
            		$c = $this->field->showFieldValue($this->content,$field);
            		if (($c !== "")&&($c !== null)) {
            			$title = $this->field->showFieldTitle(@$this->content->catid,$field);
            			if($field->name == 'ad_text') {
                        	echo "<span id='".$field->name."'>";
                        } else {
                        	echo "<span class='".$field->name."'>";
                        }
            			if ($title != "")
            				echo "<span class='fieldlabel'>".htmlspecialchars($title).":</span>";
            			echo $c;
            			echo "</div>";
            		}
            	}
            	?>
            	</div>
            	<?php 
           	?>
           	</div>
            <?php
       }
    ?>

    
    <?php /*
    <div class="row adsDetailList rowDesc">
        <div class="col-md-12 contTitle">
            <h2>Valeurs</h2>
        </div>
        <div class="col-md-12 nbCols5">
            <ul>
                <li>Randonnées</li>
                <li>Escalade</li>
                <li>Voile</li>
                <li>Kayak</li>
                <li>Pêche</li>
                <li>Tous commerces</li>
                <li>Restaurants</li>
                <li>Pistes cyclables</li>
                <li>Parc de loisirs</li>
                <li>Plage</li>
                <li>Plongée</li>
            </ul>
        </div>
    </div>
    */?>
</div>
<?php echo $this->content->event->onContentAfterDisplay; ?>
<div class="row">
	<div class="col-md-12 text-center">
	<a class="btn btn-warning" href="<?php echo TRoute::_("index.php?option=com_adsmanager&task=write&pending=1&catid=".$this->content->catid."&id=".$this->content->id); ?>"><?php echo JText::_('ADSMANAGER_FORM_EDIT_TEXT'); ?></a>
	&nbsp;
	<a class="btn btn-primary" href="<?php echo TRoute::_("index.php?option=com_adsmanager&task=valid&id=".$this->content->id); ?>"><?php echo JText::_('ADSMANAGER_FORM_VALID_TEXT'); ?></a>
	</div>
</div>
<?php
JHtml::_('jquery.framework');
FOFTemplateUtils::addJS('../templates/adsclarity/js/jquery.flexslider.js');	
FOFTemplateUtils::addCSS('../templates/adsclarity/css/flexslider.css');	
?>
<script type="text/JavaScript">
jQ(function() {
   <?php 
    $maxitems = count($this->content->images);
	if ($maxitems > 4) { 
		$maxitems = 4;
	}
	?>

	// The slider being synced must be initialized first
  <?php if ($maxitems > 1) { ?>
  jQ('#carousel').flexslider({
	animation: "slide",
	controlNav: false,
	animationLoop: false,
	slideshow: false,
	itemWidth: 150,
	itemMargin: 5,
	minItems: 0,
	maxItems: <?php echo $maxitems;?>,
	asNavFor: '#slider'
  });
  
  jQ('#adgallery #carousel').css('width',"<?php echo (150*$maxitems)?>px");
<?php } ?>
 
  jQ('#slider').flexslider({
	animation: "slide",
	controlNav: false,
	animationLoop: false,
	slideshow: false
	<?php if ($maxitems > 1) { ?>
	,sync: "#carousel"
	<?php } ?>
  });
	jQ('#fullscreen,#slider img').click(function() {
		if (jQuery('#adgallery').hasClass("fullscreen")) {
				jQuery('#adgallery').removeClass('fullscreen');
				jQuery('body').removeClass('fullbg');
				jQuery(window).resize();
		} else {
			
			jQuery('#adgallery').addClass('fullscreen');	
			jQuery('body').addClass('fullbg');	
			jQuery(window).resize();
		}
	});
});			


</script>