<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

?>
<div class="juloawrapper adsmanager-list adsmanager-list-table">
    <div class="row">
        <div class="col-md-12">
            <h3>
                <?php
                    if ($this->list_img != "") {
                //        if($this->list_img_default) {
                //            echo '<i class="icon-th-list"></i>';
                //        } else {
                            echo '<img  class="imgheading" src="'.$this->list_img.'" alt="'.$this->list_img.'" />';
                //        }
                    }
                    echo ' '.JText::_($this->list_name);
                    if ($this->conf->show_rss == 1)
                    {
                        if (isset($this->listuser))
                            $linkrss = TRoute::_("index.php?option=com_adsmanager&view=list&format=feed&user=".$this->listuser);
                        else
                            $linkrss = TRoute::_("index.php?option=com_adsmanager&view=list&format=feed&catid=".$this->catid);
                        echo '<a href="'.$linkrss.'" class="pull-right" target="_blank"><img class="feed imgheading" src="'.$this->baseurl.'components/com_adsmanager/images/rss.png" alt="rss" /></a>';
                    }
                ?>
            </h3>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <table class="table">
                <thead>
                    <tr>
                        <th><?php echo JText::_('ADSMANAGER_CONTENT'); ?>
					      <?php /*<a href="<?php echo TRoute::_("index.php?option=com_adsmanager&view=list".$urloptions."&order=5&orderdir=ASC");?>"><img src="<?php echo $this->baseurl ?>administrator/images/sort_asc.png" alt="+" /></a>
					      <a href="<?php echo TRoute::_("index.php?option=com_adsmanager&view=list".$urloptions."&order=5&orderdir=DESC");?>"><img src="<?php echo $this->baseurl ?>administrator/images/sort_desc.png" alt="-" /></a>
					       */?>
					      </th>
					      <?php 
					          foreach($this->columns as $col)
					          {
					            echo "<th class=''>".JText::_($col->name);
					            /*$order = @$this->fColumns[$col->id][0]->fieldid;
					            ?>
					            <a href="<?php echo TRoute::_("index.php?option=com_adsmanager&view=list".$urloptions."&order=$order&orderdir=ASC");?>"><img src="<?php echo $this->baseurl ?>administrator/images/sort_asc.png" alt="+" /></a>
					            <a href="<?php echo TRoute::_("index.php?option=com_adsmanager&view=list".$urloptions."&order=$order&orderdir=DESC");?>"><img src="<?php echo $this->baseurl ?>administrator/images/sort_desc.png" alt="-" /></a>
					            */?>
					            <?php echo "</th>";
					          }
					      ?>
					      <?php if(!isset($this->conf->display_column_date) || $this->conf->display_column_date == 1): ?>
					      <th class="hidden-xs" width="15%"><?php echo JText::_('ADSMANAGER_DATE'); ?>
					      <?php endif; ?>
					      <?php /*<a href="<?php echo TRoute::_("index.php?option=com_adsmanager&view=list".$urloptions."&order=orderdir=ASC");?>"><img src="<?php echo $this->baseurl ?>administrator/images/sort_asc.png" alt="+" /></a>
					      <a href="<?php echo TRoute::_("index.php?option=com_adsmanager&view=list".$urloptions."&order=orderdir=DESC");?>"><img src="<?php echo $this->baseurl ?>administrator/images/sort_desc.png" alt="-" /></a>
					      */?>
					      </th>
                    </tr>
                </thead>
                <tbody>
                <?php
				$colspan = 1;
				$countCols = true;
				if($this->banners){
					$countBanners = 0;
					$countAds = 0;
				}
				foreach($this->contents as $content) 
				{
					if($this->banners){
						//Check if a banner need to be displayed
						if($countAds % $this->nbAdsBetweenBanners == 0 && $countAds > 0 && isset($this->banners[$countBanners])) {
							?>
							<tr class="banneritemlist"><td colspan="<?php echo $colspan; ?>">
								<?php 
									$item = $this->banners[$countBanners];
									$link = JRoute::_('index.php?option=com_bruce&view=banner&task=click&id='. $item->bruce_banner_id);
									$imageurl = $item->params->img_imageurl;
									$width = $item->params->img_width;
									$height = $item->params->img_height;
									// Image based banner
									$alt = $item->params->img_alt;
									$alt = $alt ? $alt : $item->title;
									$alt = $alt ? $alt : JText::_('MOD_BRUCE_BANNER');
									if ($item->clickurl) {
										// Wrap the banner in a link
										// Open in a new window
										$extra = 'target="_blank"';
										?>
										<a href="<?php echo $link; ?>" <?php echo $extra ?>>
											<img
												src="<?php echo JUri::base() . $imageurl;?>"
												alt="<?php echo $alt;?>"
												<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
												<?php if (!empty($height)) echo 'height ="'. $height.'"';?>

												style="max-width: 100%;"
											/>
										</a>
									<?php } else { 
										// Just display the image if no link specified?>
										<img
											src="<?php echo JUri::base() . $imageurl;?>"
											alt="<?php echo $alt;?>"
											<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
											<?php if (!empty($height)) echo 'height ="'. $height.'"';?>

											style="max-width: 100%;"
										/>
									<?php } ?>
							</td></tr>
							<?php
							$countBanners++;
						}
						$countAds++;
					}
				    $linkTarget = TRoute::_( "index.php?option=com_adsmanager&view=details&id=".$content->id."&catid=".$content->catid);
				    if (function_exists('getContentClass')) 
				        $classcontent = getContentClass($content,"list");
				    else
				        $classcontent = "";
				    
				    if (isset($content->images[0])) {
				    	$img = JURI_IMAGES_FOLDER."/".$content->images[0]->thumbnail;
				    } else if ($this->conf->nb_images > 0) {
				    	$img = ADSMANAGER_NOPIC_IMG;
				    }
				    ?>   
                    <tr class="<?php echo $classcontent;?> listLine trcategory_<?php echo $content->catid?>">
                        <td>
                            <div class="row top10">
                                <div class="col-md-4">
                                    <a href="<?php echo  $linkTarget ?>"><img src="<?php echo $img?>" alt="<?php echo htmlspecialchars($content->ad_headline) ?>" class="img-responsive" /></a>
                                </div>
                                <div class="col-md-8">
                                    <?php echo '<a href="'.$linkTarget.'">'?><h3><?php echo htmlspecialchars($content->ad_headline);?></h3></a>
                                    <?php if(!isset($this->conf->display_category_list_label) || $this->conf->display_category_list_label == 1): ?>
	                        		<span class="adsmanager-cat"><?php echo "(".$content->parent." / ".$content->cat.")"; ?></span>
	                   		 		<?php endif; ?>
	                   		 		<p><?php 
					                $content->ad_text = strip_tags(str_replace ('<br />'," ",$content->ad_text));
					                $af_text = JString::substr($content->ad_text, 0, 100);
					                if (strlen($content->ad_text)>100) {
					                    $af_text .= "[...]";
					                }
					                echo  htmlspecialchars($af_text);
					            ?></p>
                                </div>
                            </div>
                            
	                          
	                    	
                            
                            
                        </td>
                         <?php 
				            foreach($this->columns as $col) {
				                echo '<td class="column_'.$col->id.'">';
                                echo '<div class="top10">';
				                if (isset($this->fColumns[$col->id])) {
									$first = true;
				                    foreach($this->fColumns[$col->id] as $field)
				                    {
				                        $c = $this->field->showFieldValue($content,$field); 
				                        if (($c !== "")&&($c !== null)) {
				                            $title = $this->field->showFieldTitle(@$content->catid,$field);
					                        if($field->name == 'ad_text') {
					                        	echo "<span id='".$field->name."'>";
					                        } else {
					                        	echo "<span class='".$field->name."'>";
					                        }
				                            if ($title != "")
				                                echo "<b>".htmlspecialchars($title)."</b>: ";
				                            echo "$c";
				                            echo "</span>";
				                        }
				                    }
				                }
                                echo '</div>';
								echo "</td>";
								if($countCols) {
									$colspan++;
								}
				            }
				        ?>
				        <?php if(!isset($this->conf->display_column_date) || $this->conf->display_column_date == 1): ?>
				        <td class="column_date hidden-xs">
				        	<div class="row">
                                <div class="col-md-12 adsListDate">
                                	<?php 
						            $iconflag = false;
						            if (($this->conf->show_new == true)&&($this->isNewcontent($content->date_created,$this->conf->nbdays_new))) {
                                          echo "<div class='newAd'><i class='glyphicon glyphicon-star'></i> <strong>".JText::_('NEW')."</strong></div>";
                                          $iconflag = true;
						            }
						            if (($this->conf->show_hot == true)&&($content->views >= $this->conf->nbhits)) {
						                if($iconflag){
                                            echo '<div class="iconSep">|</div>';
                                        }
						                echo "<div class='hotAd'>";
						                echo "<i class='glyphicon glyphicon-fire'></i> <strong>".JText::_('HOT')."</strong>";
						                echo "</div>";
						            }
						            
						            
						            if(!isset($this->conf->display_column_date_view) || $this->conf->display_column_date_view == 1){
						            	echo "<span class='nbhits'>".sprintf(JText::_('ADSMANAGER_VIEWS'),$content->views)."</span>";
						            }
						            
						            if(!isset($this->conf->display_column_date_date) || $this->conf->display_column_date_date == 1){
                                    ?>
                                    <em><span class="glyphicon glyphicon-calendar"></span><?php echo sprintf(TText::_('ADSMANAGER_PUBLISH_ON_DATE'),$this->reorderDate($content->date_created)); ?></em><br>
                                    <?php 
                                    }
                                    if ($content->userid != 0 && (!isset($this->conf->display_column_date_user) || $this->conf->display_column_date_user == 1))
                                    {
                                    	echo '<span class="tableAuthor">'.JText::_('ADSMANAGER_FROM')." ";
                                    
                                    	$target = TLink::getUserAdsLink($content->userid);
                                    
                                    	if ($this->conf->display_fullname == 1)
                                    		echo "<strong><a href='".$target."'>".$content->fullname."</a></strong>";
                                    	else
                                    		echo "<strong><a href='".$target."'>".$content->user."</a></strong>";
                                    }
                                    ?>
                                </div>
                            </div>
                            <?php if(isset($this->conf->favorite_enabled) && $this->conf->favorite_enabled == 1 && ($this->conf->favorite_display == 'all' || $this->conf->favorite_display == 'list')): ?>
				                <?php
				                    $favoriteClass = '';
				                    $favoriteLabel = addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE'));
				                    if(array_search($content->id, $this->favorites) !== false){
				                        $favoriteClass = ' like_active';
				                        $favoriteLabel = addslashes(JText::_('ADSMANAGER_CONTENT_FAVORITE_DELETEMSG'));
				                    }
				                ?>
				                	<div class="row">
		                                <div class="col-md-12">
		                                    <a href="javascript:void(0)" class="btn btn-default favorite_ads <?php echo $favoriteClass;?>" id="like_<?php echo $content->id; ?>"><span class="glyphicon glyphicon-heart"></span> <?php echo htmlspecialchars($favoriteLabel); ?></a>
		                                </div>
		                            </div>
				            <?php endif; ?>
				        </td>
						<?php 
						if($countCols) {
							$colspan++;
						}
						endif; ?>
                    </tr>
					<?php 
					
					$countCols = false;
					} 
					if($this->banners){
						//Display the rest of the banners if needed
						if($this->displayAllBannersAfterAds == 1) {
							for($i = $countBanners; $i < count($this->banners); $i++) {
								?>
								<tr class="banneritemlist"><td colspan="<?php echo $colspan; ?>">
									<?php 
										$item = $this->banners[$i];
										$link = JRoute::_('index.php?option=com_bruce&view=banner&task=click&id='. $item->bruce_banner_id);
										$imageurl = $item->params->img_imageurl;
										$width = $item->params->img_width;
										$height = $item->params->img_height;
										// Image based banner
										$alt = $item->params->img_alt;
										$alt = $alt ? $alt : $item->title;
										$alt = $alt ? $alt : JText::_('MOD_BRUCE_BANNER');
										if ($item->clickurl) {
											// Wrap the banner in a link
											// Open in a new window
											$extra = 'target="_blank"';
											?>
											<a href="<?php echo $link; ?>" <?php echo $extra ?>>
												<img
													src="<?php echo JUri::base() . $imageurl;?>"
													alt="<?php echo $alt;?>"
													<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
													<?php if (!empty($height)) echo 'height ="'. $height.'"';?>

													style="max-width: 100%;"
												/>
											</a>
										<?php } else { 
											// Just display the image if no link specified?>
											<img
												src="<?php echo JUri::base() . $imageurl;?>"
												alt="<?php echo $alt;?>"
												<?php if (!empty($width)) echo 'width ="'. $width.'"';?>
												<?php if (!empty($height)) echo 'height ="'. $height.'"';?>

												style="max-width: 100%;"
											/>
										<?php } ?>
								</td></tr>
								<?php
							}
						}
					}
					?>
                </tbody>
            </table>
        </div>
    </div>
</div>
