<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<div class="juloawrapper">
	<div class="row">
		<div class="col-md-12">
			<h1><?php echo JText::_('ADSMANAGER_ADVANCED_SEARCH'); ?></h1>
		</div>
	</div>
    <div class="adsForm">
        <?php $link = TRoute::_("index.php?option=com_adsmanager&view=result"); ?>
        <form action="<?php echo $link; ?>" class="form-horizontal" id="advancedsearchpage-form" method="post">
                <?php if ($this->search_by_cat == 1){ ?>
				<fieldset>
					<div class="form-group">
						<label class="control-label col-xs-4" for="catid">
							<?php echo JText::_('ADSMANAGER_SELECT_CATEGORY_LABEL') ?>
						</label>
						<div class="controls col-xs-8">
							<?php
								switch($this->conf->single_category_selection_type) {
									default:
									case 'normal':
										JHTMLAdsmanagerCategory::displayNormalCategories("search_catid",$this->cats,$this->catid);break;
									case 'color':
										JHTMLAdsmanagerCategory::displayColorCategories("search_catid",$this->cats,$this->catid);break;
									case 'combobox':
										JHTMLAdsmanagerCategory::displayComboboxCategories("search_catid",$this->cats,$this->catid);break;
									case 'cascade':
										$separator = "<br/>";
										JHTMLAdsmanagerCategory::displaySplitCategories("search_catid",$this->cats,$this->catid,array('separator'=>$separator));break;
								}
							?>
						</div>
					</div>
				</fieldset>
                <?php } ?>
                <fieldset>
					<?php
						foreach($this->searchfields as $fsearch) {
							echo "<div id=\"searchfield_".$fsearch->fieldid."\">";
							echo "<div class=\"form-group\">";
							echo "<label class=\"control-label col-xs-4\" for=\"{$fsearch->name}\">".JText::_($fsearch->title)."</label>";
							echo "<div class=\"controls col-xs-8\">";
							$this->field->showFieldSearch($fsearch,0,$this->defaultvalues,true);
							echo "</div>";
							echo "</div>";
							echo "</div>";
					}?>
				</fieldset>
				<div class="row"><div class="col-md-12"><hr/></div></div>
				<div class="row">
					<div class="col-md-12">
						<div class="pull-right">
							<input type="button" id="submitsearchform" class="btn btn-primary" value="<?php echo JText::_('ADSMANAGER_SEARCH_TITLE'); ?>" />
						</div>
					</div>
				</div>
                <script type="text/javascript">
	                jQ('#advancedsearchpage-form #submitsearchform').click(function(){
	                	jQ('#advancedsearchpage-form input[type!="hidden"]:hidden').attr("disabled",true);
	                	jQ('#advancedsearchpage-form select:hidden').attr("disabled",true);
	                    jQ('#advancedsearchpage-form').submit();
	                });

                    function updateModFields() {
                        var form = document.advancedsearchpage-form;
                        catid = jQ('#advancedsearchpage-form #search_catid').val();
                        <?php
                        $fields = $this->searchfields;
                        foreach($fields as $field)
                        {
                            if (strpos($field->catsid, ",-1,") === false)
                            {
                            ?>
                            var field_condition = "<?php echo $field->catsid;?>";
                            var test = field_condition.indexOf( ","+catid+",", 0 );
                            var divfield = document.getElementById('searchfield_<?php echo $field->fieldid;?>');
                            if (test != -1) {
                                jQ('#searchfield_<?php echo $field->fieldid;?>').show();
                }
                else {
                                jQ('#searchfield_<?php echo $field->fieldid;?>').hide();
            }
                        <?php
        }
                }
                        ?>
            }
                    function checkdependency(child,parentname,parentvalues) {
                        //Simple checkbox
                        if (jQ('input[name="'+parentname+'"]').is(':checkbox')) {
                            //alert("test");
                            if (jQ('input[name="'+parentname+'"]').attr('checked')) {
                                jQ('#advancedsearchpage-form #f'+child).show();
                                jQ('#advancedsearchpage-form #searchfield_'+child).show();
                            }
                            else {
                                jQ('#advancedsearchpage-form #f'+child).hide();
                                jQ('#advancedsearchpage-form #searchfield_'+child).hide();

                                //cleanup child field
                                if (jQ('#advancedsearchpage-form #f'+child).is(':checkbox') || jQ('#advancedsearchpage-form #f'+child).is(':radio')) {
                                    jQ('#advancedsearchpage-form #f'+child).attr('checked', false);
                                }
                                else {
                                    jQ('#advancedsearchpage-form #'+child).val('');
                                }
                            }
                        }
                        //If checkboxes or radio buttons, special treatment
                        else if (jQ('input[name="'+parentname+'"]').is(':radio')  || jQ('input[name="'+parentname+'[]"]').is(':checkbox')) {
                            var find = false;
                            var allVals = [];
                            jQ("input:checked").each(function() {
                                for(var i = 0; i < parentvalues.length; i++) {
                                    if (jQ(this).val() == parentvalues[i] && find == false) {
                                        jQ('#advancedsearchpage-form #f'+child).show();
                                        jQ('#advancedsearchpage-form #searchfield_'+child).show();
                                        find = true;
                                    }
                                }
                            });

                            if (find == false) {
                                jQ('#advancedsearchpage-form #f'+child).hide();
                                jQ('#advancedsearchpage-form #searchfield_'+child).hide();

                                //cleanup child field
                                if (jQ('#advancedsearchpage-form #f'+child).is(':checkbox') || jQ('#advancedsearchpage-form #f'+child).is(':radio')) {
                                    jQ('#advancedsearchpage-form #f'+child).attr('checked', false);
                                }
                                else {
                                    jQ('#advancedsearchpage-form #f'+child).val('');
                                }
                            }

                        }
                        //simple text
                        else {
                            var find = false;

                            for(var i = 0; i < parentvalues.length; i++) {
                                if (jQ('#advancedsearchpage-form #f'+parentname).val() == parentvalues[i] && find == false) {
                                    jQ('#advancedsearchpage-form #f'+child).show();
                                    jQ('#advancedsearchpage-form #searchfield_'+child).show();
                                    find = true;
                                }
                            }

                            if(find == false) {
                                jQ('#advancedsearchpage-form #f'+child).hide();
                                jQ('#advancedsearchpage-form #searchfield_'+child).hide();

                                //cleanup child field
                                if (jQ('#advancedsearchpage-form #f'+child).is(':checkbox') || jQ('#advancedsearchpage-form #f'+child).is(':radio')) {
                                    jQ('#advancedsearchpage-form #f'+child).attr('checked', false);
                                }
                                else {
                                    jQ('#advancedsearchpage-form #f'+child).val('');
                                }
                            }
                        }
                    }
                    function dependency(child,parentname,parentvalue) {
                        var parentvalues = parentvalue.split(",");

                        //if checkboxes
                        jQ('input[name="'+parentname+'[]"]').change(function() {
                            checkdependency(child,parentname,parentvalues);
                        });
                        //if buttons radio
                        jQ('input[name="'+parentname+'"]').change(function() {
                            checkdependency(child,parentname,parentvalues);
                        });
                        jQ('#f'+parentname).click(function() {
                            checkdependency(child,parentname,parentvalues);
                        });
                        checkdependency(child,parentname,parentvalues);
                    }
                    jQ(document).ready(function() {
                        updateModFields();

                        jQ('#advancedsearchpage-form #search_catid').change(function(){
                                updateModFields();
                        });

                        <?php foreach($this->searchfields as $field) {
                            if (@$field->options->is_conditional_field == 1) { ?>
                            dependency('<?php echo $field->fieldid?>',
                                       '<?php echo $field->options->conditional_parent_name?>',
                                       '<?php echo $field->options->conditional_parent_value?>');
                            <?php }
                        }?>


                        var updateCounter = function(id) {
                            return function(data, textStatus) {
                                jQ("#"+id).next().html("("+data.count+")");
                            };
                        };
    });
                </script>
                <input type="hidden" value="1" name="new_search" />
                <?php if ($this->rootid != 0) {?>
                <input type="hidden" value="<?php echo $this->rootid?>" name="rootid"/>
                <?php } ?>
        </form>
    </div>
</div>
