<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_latest
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>
<ul class="latestnews<?php echo $moduleclass_sfx; ?>">
<?php foreach ($list as $item) :  ?>
	<li itemscope itemtype="http://schema.org/Article">
		<a href="<?php echo $item->link; ?>" itemprop="url">
			<?php echo JLayoutHelper::render('joomla.content.intro_image', $item); ?>
			<h4 itemprop="name">
				<?php echo $item->title; ?>
			</h4>
		</a>
		<dd class="published">
			<span class="glyphicon glyphicon-calendar"></span>
			<time datetime="<?php echo JHtml::_('date', $item->publish_up, 'c'); ?>" itemprop="datePublished">
				<?php echo JText::sprintf('%s', JHtml::_('date', $item->publish_up, JText::_('DATE_FORMAT_LC3'))); ?>
			</time>
		</dd>
		<span class="introtext">
			<?php 
			$af_text = JString::substr(strip_tags($item->introtext), 0, 100);
                if (strlen($item->introtext)>100) {
                    $af_text .= "[...]";
                }
			?>
			<?php echo $af_text ?>
		</span>
		
	</li>
<?php endforeach; ?>
</ul>
