function styleCreateCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function styleReadCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

var StyleSwitcher = function () {

    return {        

        //Style Switcher
        initStyleSwitcher: function(csspath) {    
            var panel = jQuery('.style-switcher');

            jQuery('.style-switcher-btn').click(function () {
                jQuery('.style-switcher').show();
            });

            jQuery('.theme-close').click(function () {
                jQuery('.style-switcher').hide();
            });
            
            jQuery('li', panel).click(function () {
                var color = jQuery(this).attr("data-style");
                var data_header = jQuery(this).attr("data-header");
                setColor(color, data_header);
                jQuery('.list-unstyled li', panel).removeClass("theme-active");
                jQuery(this).addClass("theme-active");
            });

            var setColor = function (color, data_header, data_color) {
				styleCreateCookie("styleswitcher_color",color,1);
                jQuery('#style_color').attr("href", csspath+"/css/colors/" + color + ".css");
				if(color == 'default')
					var colorName = 'green';
				else
					var colorName = color;
				jQuery('.logoImage').html("<img src=\""+csspath+"/images/logos/"+colorName+"-logo.png\" alt=\"AdsClarity\">");
				jQuery('.list-unstyled li', panel).removeClass("theme-active");
                jQuery('li.theme-'+color).addClass("theme-active");
              /*  if(data_header == 'light'){
                    jQuery('.logo img').attr("src", "assets/img/themes/logo1-" + color + ".png");
                    jQuery('#logo-footer').attr("src", "assets/img/themes/logo2-" + color + ".png");
                } else if(data_header == 'dark'){
                    jQuery('.logo img').attr("src", "assets/img/themes/logo1-" + color + ".png");
                    jQuery('#logo-footer').attr("src", "assets/img/themes/logo2-" + color + ".png");
                }*/
            }
			
            //Boxed Layout
            jQuery('.dark-btn').click(function(){
				styleCreateCookie("styleswitcher_skin","dark",1);
                jQuery(this).addClass("active-switcher-btn");
                jQuery(".light-btn").removeClass("active-switcher-btn");
                jQuery("body").addClass("dark");
				jQuery("html").addClass("dark"); 
            });
            jQuery('.light-btn').click(function(){
				styleCreateCookie("styleswitcher_skin","",1);
                jQuery(this).addClass("active-switcher-btn");
                jQuery(".dark-btn").removeClass("active-switcher-btn");
                jQuery("body").removeClass("dark");
				jQuery("html").removeClass("dark"); 
            });


            //Boxed Layout
            jQuery('.boxed-layout-btn').click(function(){
				styleCreateCookie("styleswitcher_boxed","boxed",1);
                jQuery(this).addClass("active-switcher-btn");
                jQuery(".wide-layout-btn").removeClass("active-switcher-btn");
                jQuery("body").addClass("boxed-layout container");
            });
            jQuery('.wide-layout-btn').click(function(){
				styleCreateCookie("styleswitcher_boxed","",1);
                jQuery(this).addClass("active-switcher-btn");
                jQuery(".boxed-layout-btn").removeClass("active-switcher-btn");
                jQuery("body").removeClass("boxed-layout container");
            });
            
			currentcolor = styleReadCookie("styleswitcher_color");
			if (currentcolor != null) {
				setColor(currentcolor,"");
			}
			currentskin = styleReadCookie("styleswitcher_skin");
			if (currentskin == "dark") {
				jQuery('.dark-btn').addClass("active-switcher-btn");
				jQuery(".light-btn").removeClass("active-switcher-btn");
                jQuery("body").addClass("dark");
				jQuery("html").addClass("dark");
			} else {
				jQuery('.dark-btn').removeClass("active-switcher-btn");
				jQuery(".light-btn").addClass("active-switcher-btn");
                jQuery("body").removeClass("dark");
				jQuery("html").removeClass("dark");
			}
			currentboxed = styleReadCookie("styleswitcher_boxed");
			if (currentboxed == "boxed") {
				jQuery('.boxed-layout-btn').addClass("active-switcher-btn");
                jQuery(".wide-layout-btn").removeClass("active-switcher-btn");
                jQuery("body").addClass("boxed-layout container");
			}
        }
        
    };

}();
