<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<?php
$conf= $this->conf;
?>
<div class="juloawrapper">
<div class="row">
    <div class="col-md-12">
        <h1><?php echo JText::_($this->list_name);?></h1>
    </div>
</div>
<script language="JavaScript" type="text/JavaScript">
<!--
function jumpmenu(target,obj){
  eval(target+".location='"+obj.options[obj.selectedIndex].value+"'");	
  obj.options[obj.selectedIndex].innerHTML="<?php echo JText::_('ADSMANAGER_WAIT');?>";			
}		

jQ(function() {
	jQ('#order').change(function() {
		order = jQ(this).val();
		orderdir = jQ(":selected",this).attr('dir');
		var form= document.createElement('form');
        form.method= 'post';
        form.action= '<?php echo TRoute::_("index.php?option=com_adsmanager&view=myads") ?>';  
        var input= document.createElement('input');
        input.type= 'hidden';
        input.name= "order";
        input.value= order;
        form.appendChild(input);
        var input2= document.createElement('input');
        input2.type= 'hidden';
        input2.name= "orderdir";
        input2.value= orderdir;
        form.appendChild(input2);
    	document.body.appendChild(form);
    	form.submit();
	});
});
//-->
</script>

<?php if (($conf->display_list_sort == 1)||($conf->display_list_search == 1)) { ?>
<div class="row">
	<?php if ($conf->display_list_search == 1) { ?>
        <div class="col-md-9">
		<form action="<?php echo TRoute::_('index.php?option=com_adsmanager&view=myads') ?>" method="post">
                <div class="span12">
                    <input name="tsearch" id="tsearch" placeholder="<?php echo JText::_('ADSMANAGER_LIST_SEARCH'); ?>" maxlength="20" alt="search" type="text" size="20" value="<?php echo $this->tsearch;?>"  onblur="if(this.value=='') this.value='';" onfocus="if(this.value=='<?php echo $this->tsearch;?>') this.value='';" />
		</div>
		</form> 
        </div>
	<?php } ?>
	<?php if ($conf->display_list_sort == 1) { ?>
		<?php if (isset($this->orders)) { ?>
        <div class="col-md-3 pull-right">
            <form class="form-inline">
                <div class="form-group pull-right">
                    <label for="exampleInputName2"><?php echo JText::_('ADSMANAGER_ORDER_BY_TEXT'); ?></label>
                    <select name="order" class="form-control" id="order">
                            <option value="0" dir="DESC" <?php if ($this->order == "0") { echo "selected='selected'"; } ?>><?php echo JText::_('ADSMANAGER_DATE'); ?></option>
                                <?php foreach($this->orders as $o) { ?>
                            <option value="<?php echo $o->fieldid ?>" dir="DESC" <?php if (($this->orderdir == "DESC") && ($this->order == $o->fieldid)) { echo "selected='selected'"; } ?>><?php echo sprintf(JText::_('ADSMANAGER_ORDER_BY_DESC'),JText::_($o->title))?></option>
                            <option value="<?php echo $o->fieldid ?>" dir="ASC" <?php if (($this->orderdir == "ASC") && ($this->order == $o->fieldid)) { echo "selected='selected'"; } ?>><?php echo sprintf(JText::_('ADSMANAGER_ORDER_BY_ASC'),JText::_($o->title))?></option>
                                <?php } ?>
                    </select>	
                </div>
            </form>
        </div>
		<?php } ?>	
	<?php } ?>		  
</div>
<br/>
<?php } ?>
<?php $this->general->showGeneralLink() ?>
<?php
if ($this->pagination->total == 0 ) 
{
	echo JText::_('ADSMANAGER_NOENTRIES'); 
}
else
{
    $nbCols = 3;
?>

            <?php
    $i = 1;
    foreach($this->contents as $content){
        $linkTarget = TRoute::_( "index.php?option=com_adsmanager&view=details&id=".$content->id."&catid=".$content->catid);
    ?>
            <div class="row adsListListRow">
        <div class="col-md-12">
            <div class="adsListListWrapper">
                <div class="row">
                    <div class="col-md-3">
                        <div class="row">
                            <div class="col-md-12 adsListListImage">
                                <?php
                                if (isset($content->images[0])) {
                                	echo "<a href='".$linkTarget."'><img class='fad-image img-responsive' name='ad-image".$content->id."' src='".JURI_IMAGES_FOLDER."/".$content->images[0]->thumbnail."' alt=\"".htmlspecialchars($content->ad_headline)."\" /></a>";
                                } else  {
                                	echo "<a href='".$linkTarget."'><img class='fad-image img-responsive' src='".ADSMANAGER_NOPIC_IMG."' alt='nopic' /></a>";
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="row">
                            <div class="col-md-12 adsListListTitle">
                                <h4>
                                    <?php echo '<a href="'.$linkTarget.'">'.$content->ad_headline.'</a>'; ?>
                                </h4>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <?php 
                                    $content->ad_text = strip_tags(str_replace ('<br />'," ",$content->ad_text));
                                    $af_text = JString::substr($content->ad_text, 0, 100);
                                    if (strlen($content->ad_text)>100) {
                                        $af_text .= "[...]";
                                    }
                                    echo $af_text;
                                ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="row adsListPublCont">
                            <div class="col-md-12 adsListPubl">
                                <strong>
                                <?php 
                                if ($content->published == 1) 
                                    echo '<span class="text-success"><span class="glyphicon glyphicon-ok" aria-hidden="true"></span> '.JText::_('ADSMANAGER_PUBLISHED').'</span>';
                                else
                                    echo '<span class="text-danger"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span> '.JText::_('ADSMANAGER_NOT_PUBLISHED').'</span>';
                                ?>
                                </strong>
                            </div>
                            <div class="col-md-12 adsListDateExp">
                            	<?php if ($this->conf->expiration == 1) { ?>
                                <em><span class="glyphicon glyphicon-calendar"></span> 
                                    <?php
                                            if ($content->expiration_date != null) {
                                                echo JText::_('ADSMANAGER_EXPIRATION_DATE').": ".$this->reorderDate($content->expiration_date)."<br/>";
                                            } else {
                                                echo JText::_('ADSMANAGER_EXPIRATION_DATE').": ".JText::_('PAIDSYSTEM_NO_EXPIRATION')."<br/>";
                                            }
                                    ?>
                                </em>
                                <?php } ?>
                            </div>
                            <?php
                                if(@$content->highlight == 1 || @$content->featured == 1 || @$content->top == 1){
                            ?>
                            <div class="col-md-12">
                                <h5><?php echo JText::_('PAIDSYSTEM_OPTIONS'); ?></h5>
                                <?php
                                    if (@$content->highlight == 1) {
                                        echo "<span class='label label-primary'>".JText::_('PAIDSYSTEM_HIGHLIGHT');
                                        if ($content->highlight_date != null) 
                                            echo ' : '.$this->reorderDate($content->highlight_date).'</span>'; 
                                        else 
                                            echo '</span>';
                                    }
                                    if (@$content->featured == 1) {
                                        echo "<span class='label label-primary'>".JText::_('PAIDSYSTEM_FEATURED');
                                        if ($content->featured_date != null) 
                                            echo ' : '.$this->reorderDate($content->featured_date).'</span>'; 
                                        else 
                                            echo '</span>';
                                    }
                                    if (@$content->top == 1) {
                                        echo "<span class='label label-primary'>".JText::_('PAIDSYSTEM_TOP');
                                        if ($content->top_date != null) 
                                            echo ' : '.$this->reorderDate($content->top_date).'</span>'; 
                                        else 
                                            echo '</span>';
                                    }
                                ?>
                            </div>
                            <?php
                                }
                            ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                    	<?php if (isset($content->ad_price))?>
                        <div class="adsListListPrice">
                            <strong><?php echo '<a href="'.$linkTarget.'">'.$this->field->showFieldValue($content,$this->fields['ad_price']).'</a>'; ?></strong>
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="subCats">
                        	<?php if(!isset($this->conf->display_category_list_label) || $this->conf->display_category_list_label == 1): ?>
                                    <?php echo "(".$content->parent." / ".$content->cat.")"; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php 
                    $editlink = TRoute::_("index.php?option=com_adsmanager&task=write&catid=".$content->catid."&id=$content->id");
                    $deletelink = TRoute::_("index.php?option=com_adsmanager&task=delete&catid=".$content->catid."&id=$content->id");
                    	
                    
                    ?>
                    <div class="col-md-4">
                        <div class="row">
                            <div class="col-md-12 adsListSeeAd">
                                <div class="btn-group btn-group-justified" role="group">
                                  <a href="<?php echo $deletelink?>" onclick="return confirm('<?php echo htmlspecialchars(JText::_('ADSMANAGER_CONFIRM_DELETE'),ENT_QUOTES)?>')" class="btn btn-danger"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span> <?php echo JText::_('ADSMANAGER_CONTENT_DELETE')?></a>
                                  <a href="<?php echo $editlink ?>" class="btn btn-warning"><span class="glyphicon glyphicon-edit" aria-hidden="true"></span> <?php echo JText::_('ADSMANAGER_CONTENT_EDIT')?></a>
                                  <?php 
                                  if ($this->conf->expiration == 1) { 
										if ($content->expiration_date != null) {
											$expiration_time = strtotime($content->expiration_date);
											$current_time = time();
											if ($expiration_time - $current_time <= ($conf->recall_time * 3600 *24)) {
				                                if(function_exists('countRenewDurations') && countRenewDurations() > 1){
				                                    $target = TRoute::_("index.php?option=com_adsmanager&view=expiration&id=$content->id");
				                                } else {
				                                    $target = TRoute::_("index.php?option=com_adsmanager&task=renew&id=$content->id");
				                                }
				                                ?>
				                                <a href="<?php echo $target?>" class="btn btn-success"><span class="glyphicon glyphicon-refresh" aria-hidden="true"></span> <?php echo JText::_('ADSMANAGER_RENEW_CONTENT')?></a>
				                                <?php 
											}
										}
									}
                                    ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php
		}
?>
	<div class="row">
 	<div class="col-md-12">
    	<div class="text-center">
        	<?php echo $this->pagination->getPagesLinks(); ?>
        	<div><?php echo $this->pagination->getResultsCounter() ?></div>
        </div>
	</div>
	</div>

</div>
<?php 
} $this->general->endTemplate();