<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<div class="row multi-columns-row">
    <?php
    $i = 1;
    foreach($this->contents as $content){
        $linkTarget = TRoute::_( "index.php?option=com_adsmanager&view=details&id=".$content->id."&catid=".$content->catid);
        
        if (function_exists('getContentClass'))
        	$classcontent = getContentClass($content,"grid");
        else
        	$classcontent = "";
    ?>
                <div class="adsListGridWrapper <?php echo $classcontent?> col-xs-12 col-sm-6 col-md-4 col-lg-4">
                    <div class="row">
                        <?php
                            if ((($this->conf->show_new == true)&&($this->isNewcontent($content->date_created,$this->conf->nbdays_new))) || ($this->conf->show_hot == true)&&($content->views >= $this->conf->nbhits)) {
                                echo "<div class='gridNewHot'>"; 
                                    $iconflag = false;
                                    if (($this->conf->show_new == true)&&($this->isNewcontent($content->date_created,$this->conf->nbdays_new))) {
                                        echo "<div class='newAd'><i class='glyphicon glyphicon-star'></i> <strong>".JText::_('NEW')."</strong></div>";
                                        $iconflag = true;
                                    }
                                    if (($this->conf->show_hot == true)&&($content->views >= $this->conf->nbhits)) {
                                        if($iconflag){
                                            echo '<div class="iconSep">|</div>';
                                        }
                                        echo "<div class='hotAd'>";
                                        echo "<i class='glyphicon glyphicon-fire'></i> <strong>".JText::_('HOT')."</strong>";
                                        echo "</div>";
                                    }
                                echo "</div>";
                            }   
                        ?>
                        <div class="col-md-12">
                            <div class="adsListGridBox">
                                <div class="row">
                                    <div class="col-md-12 adsListGridImage">
                                        <div class="adsListGridImageBg">
                                            <?php
                                                if (isset($content->images[0])) {
                                                        echo "<a href='".$linkTarget."'><img class='fad-image img-responsive' name='ad-image".$content->id."' src='".JURI_IMAGES_FOLDER."/".$content->images[0]->thumbnail."' alt=\"".htmlspecialchars($content->ad_headline)."\" /></a>";
                                                } else if ($this->conf->nb_images > 0) {
                                                        echo "<a href='".$linkTarget."'><img class='fad-image img-responsive' src='".ADSMANAGER_NOPIC_IMG."' alt='nopic' /></a>";
                                                }
                                                ?>
                                            <?php if (isset($content->ad_price)) {?>    
                                            <div class="col-md-4 adsListGridPrice">                                     
                                            <?php echo $this->field->showFieldValue($content,$this->fields['ad_price']);  ?>
                                            </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12 adsListGridCat">
                                    <?php if(!isset($this->conf->display_category_list_label) || $this->conf->display_category_list_label == 1): ?>
                                        <?php echo htmlspecialchars($content->parent)." / ".htmlspecialchars($content->cat)?><br/>
                                    <?php endif; ?>
                                	<small><?php echo $this->reorderDate($content->date_created) ?></small>
                                </div>
                                <div class="adsListGridContent">
                                    <div class="row">
                                        <div class="col-md-12 adsListGridTitle">
                                            <h4>
                                                <?php echo '<a href="'.$linkTarget.'">'.htmlspecialchars($content->ad_headline).'</a>'; ?>
                                            </h4>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12 adsListGridDesc">
                                            <p>
                                                <?php 
                                                    $content->ad_text = strip_tags(str_replace ('<br />'," ",$content->ad_text));
                                                    $af_text = JString::substr($content->ad_text, 0, 100);
                                                    if (strlen($content->ad_text)>100) {
                                                        $af_text .= "[...]";
                                                    }
                                                    echo $af_text;
                                                ?>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="adsListGridFoot">
                                <div class="row">
                                    <div class="col-md-12">
                                        <a href="<?php echo $linkTarget; ?>"><?php echo TText::_('ADSMANAGER_SEE_AD')?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            
    <?php
    }
    ?>
</div>
