<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<div class="row">
        <div class="col-md-12">
            <table class="table <?php echo $moduleclass_sfx; ?> ">
	<thead>
      <tr>
		<th><?php echo JText::_('ADSMANAGER_CONTENT'); ?></th>
		<?php 
		foreach($columns as $col)
		{
			echo "<th class='hidden-phone'>".JText::_($col->name)."</th>";
		}
		?>
		<th><?php echo JText::_('ADSMANAGER_DATE'); ?></th>
	</tr>
	</thead>
	<tbody>
<?php
	foreach($contents as $content) 
	{
		$linkTarget = TRoute::_( "index.php?option=com_adsmanager&view=details$urlparamroot&id=".$content->id."&catid=".$content->catid);
		if (function_exists('getContentClass')) 
			$classcontent = getContentClass($content,"list");
  	    else
			$classcontent = "adsmanager_table_description";
		?>   
	<tr class="<?php echo $classcontent;?>"> 
		<td>
			<div class="row">
            	<div class="col-md-4">
                	<?php
					if (isset($content->images[0])) {
							echo "<a href='".$linkTarget."'><img class='fad-image img-responsive' name='ad-image".$content->id."' src='".JURI_IMAGES_FOLDER."/".$content->images[0]->thumbnail."?".filemtime(JPATH_IMAGES_FOLDER."/".$content->images[0]->thumbnail)."' alt=\"".htmlspecialchars($content->ad_headline)."\" /></a>";
						} else {
							echo "<a href='".$linkTarget."'><img class='fad-image img-responsive' src='".ADSMANAGER_NOPIC_IMG."' alt='nopic' /></a>";
						}
					?>
                </div>
                <div class="col-md-8">
                	<?php echo '<a href="'.$linkTarget.'">'?><h3><?php echo htmlspecialchars($content->ad_headline);?></h3></a>
                    <?php if(!isset($conf->display_category_list_label) || $conf->display_category_list_label == 1): ?>
                    <span class="adsmanager-cat"><?php echo "(".$content->parent." / ".$content->cat.")"; ?></span>
                   	<?php endif; ?>
                	<p><?php 
		                $content->ad_text = str_replace ('<br />'," ",$content->ad_text);
		                $af_text = JString::substr($content->ad_text, 0, 100);
		                if (strlen($content->ad_text)>100) {
		                    $af_text .= "[...]";
		                }
		                echo  htmlspecialchars($af_text);
		            ?></p>
               </div>
            </div>
       </td>
		<?php 
			foreach($columns as $col) {
				echo '<td class="column_'.$col->id.'">';
				if (isset($fColumns[$col->id]))
					foreach($fColumns[$col->id] as $f)
					{
						$c = $field->showFieldValue($content,$f);
						if ($c != "") {
							$title = $field->showFieldTitle(@$content->catid,$f);
							echo "<span class='".$f->name."'>";
							if ($title != "")
								echo "<b>".htmlspecialchars($title).": </b>";
							echo "$c<span>";
						}
					}
				echo "</td>";
			}
		?>
		<td class="column_date hidden-phone">
				        	<div class="row">
                                <div class="col-md-12 adsListDate">
                                	<?php 
						            $iconflag = false;
						            if (($conf->show_new == true)&&(isNewcontent($content->date_created,$conf->nbdays_new))) {
						                    echo "<div class='text-center'><img alt='new' src='".JURI::base()."components/com_adsmanager/images/new.gif' /> ";
						                $iconflag = true;
						            }
						            if (($conf->show_hot == true)&&($content->views >= $conf->nbhits)) {
						                if ($iconflag == false)
						                        echo "<div class='text-center'>";
						                echo "<img alt='hot' src='".JURI::base()."components/com_adsmanager/images/hot.gif' />";
						                $iconflag = true;
						            }
						            if ($iconflag == true)
						                echo "</div>";
						            
						            if(!isset($conf->display_column_date_view) || $conf->display_column_date_view == 1){
						            	echo "<span class='nbhits'>".sprintf(JText::_('ADSMANAGER_VIEWS'),$content->views)."</span>";
						            }
						            
						            if(!isset($conf->display_column_date_date) || $conf->display_column_date_date == 1){
                                    ?>
                                    <em><span class="glyphicon glyphicon-calendar"></span> Published on <?php echo reorderDate($content->date_created);?></em><br>
                                    <?php 
                                    }
                                    if ($content->userid != 0 && (!isset($conf->display_column_date_user) || $conf->display_column_date_user == 1))
                                    {
                                    	echo '<span class="tableAuthor">'.JText::_('ADSMANAGER_FROM')." ";
                                    
                                    	$target = TLink::getUserAdsLink($content->userid);
                                    
                                    	if ($conf->display_fullname == 1)
                                    		echo "<strong><a href='".$target."'>".$content->fullname."</a></strong>";
                                    	else
                                    		echo "<strong><a href='".$target."'>".$content->user."</a></strong>";
                                    }
                                    ?>
                                </div>
                            </div>
        </td>
	</tr>
<?php	
}
?>
	</tbody>
    </table>
</div>
</div>